/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.wstools.jni.client;

/**
 *
 * @author administrator
 */
public class JniClientResult extends Object
{

    static  protected   final   String      SEPARATOR           = "|";

    static  public      final   int         SUCCESS             = 0;
    static  public      final   int         DLL_ERROR_UNKNOWN   = -1;

            public              int         cCode;
            public              String[]    data;
            protected           String      nativeResult;



/** take the string returned from the DLL ("<cCode>|<items>"), where <items> can have multiple elements separated by SEPARATOR
 *
 * @param result
 */
  private static void splitNativeString( JniClientResult jniClientResult )
  {
    jniClientResult.cCode       = DLL_ERROR_UNKNOWN;
    jniClientResult.data        = null;
    String[] sTemp              = jniClientResult.nativeResult.split( "[" + SEPARATOR + "]", 2 );
    if ( sTemp.length == 2 )
    {
        jniClientResult.cCode       = Integer.decode( sTemp[0] ).intValue();
        jniClientResult.data        = sTemp[1].split( "[" + SEPARATOR + "]" );
    }
  }


    /** constructor - pass the string returned from the native function
     *
     * @param nativeResult
     */
    public JniClientResult( String nativeResult )
    {
       this.nativeResult = nativeResult;
       splitNativeString( this );
    }
}
